Jalibreak using iTunes 7.5 or 7.4.2?

Discussion in 'Jailbreaks and iOS Hacks' started by draperm25, Dec 2, 2007.

  1. draperm25 macrumors regular

    draperm25

    Joined:
    Sep 19, 2007
    Location:
    Swansea
    #1
    Hi All,

    Can you use the current jailbreaking system using iTunes 7.5 or do you have to downgrade iTunes aswell to 7.4.2 before you start?


    Many Thanks
     
  2. Phil A. Moderator

    Phil A.

    Staff Member

    Joined:
    Apr 2, 2006
    Location:
    Shropshire, UK
    #2
    I Jailbreaked my 1.1.2 UK iPhone using 7.5 with no problems at all using Conceited Software's latest package available here

    It was very straightforward and worked without a problem - just follow the instructions in the README file downloaded as part of the package.

    The only other thing I had to do for the UK iPhone was the following to re-enable EDGE and Visual Voicemail: (copied from http://code.google.com/p/iphone-elite/wiki/o2ukJailbreak)

    simply install BSD Subsystem and OpenSSH using Installer.app and then SSH into the iPhone and type the following two commands;

    rm /var/root/Library/Preferences/com.apple.carrier.plist

    ln -s /System/Library/Frameworks/CoreTelephony.framework/Support/O2_UK.plist /var/root/Library/Preferences/com.apple.carrier.plist

    rm -f /var/root/Library/Preferences/SystemConfiguration/preferences.plist

    Reboot your iPhone, and all going well you'll now have EDGE and VisualVoicemail working again
     

Share This Page